@echo off
REM
REM Copyright (C) 2010-2024 NICE s.r.l.
REM All Rights Reserved
REM
REM This software is the confidential and proprietary information
REM of NICE s.r.l. ("Confidential Information").
REM You shall not disclose such Confidential Information
REM and shall use it only in accordance with the terms of
REM the license agreement you entered into with NICE.
REM

set NICE_ROOT=%~dp0
echo NICE_ROOT=%NICE_ROOT%

echo --
echo dcvviewer.exe registration
echo -
reg add HKCU\Software\Classes\Applications\NICE\DCVViewer\ApplicationDescription /ve /d DCVViewer /f
reg add HKCU\Software\Classes\Applications\NICE\DCVViewer\ApplicationIcon /ve /d "%NICE_ROOT%bin\img\icon.ico,0" /f
reg add HKCU\Software\Classes\Applications\NICE\DCVViewer\ApplicationName /ve /d DCVViewer /f
reg add HKCU\Software\Classes\Applications\NICE\DCVViewer\DefaultIcon /ve /d "%NICE_ROOT%bin\img\icon.ico,0" /f
reg add HKCU\Software\Classes\Applications\NICE\DCVViewer\shell\open\command /ve /d "\"%NICE_ROOT%bin\dcvviewer.exe\" \"--connection-file=%%1\"" /f
reg add HKCU\Software\RegisteredApplications\DCVViewer /ve /d "Software\Classes\Applications\NICE\DCVViewer" /f
echo --
echo .dcv file association
echo -
reg add HKCU\Software\Classes\.dcv /ve /d "DCV.ConnectionInfo" /f
reg add HKCU\Software\Classes\DCV.ConnectionInfo /ve /d "DCVConnectionInfo" /f
reg add HKCU\Software\Classes\DCV.ConnectionInfo\DefaultIcon /ve /d "%NICE_ROOT%bin\img\icon.ico,0" /f
reg add HKCU\Software\Classes\DCV.ConnectionInfo\shell\open\command /ve /d "\"%NICE_ROOT%bin\dcvviewer.exe\" \"--connection-file=%%1\"" /f
reg add HKCU\Software\Classes\Applications\NICE\DCVViewer\FileAssociations\.dcv /ve /d DCV.ConnectionInfo /f
reg add HKCU\Software\Classes\Applications\NICE\DCVViewer\MIMEAssociations\application/dcv /ve /d DCV.ConnectionInfo /f
echo --
